bug-bash
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: Regression in --enable-minimal-config


From: Miro Kropáček
Subject: Re: Regression in --enable-minimal-config
Date: Sun, 12 May 2019 13:40:11 +0200

On Sun, 12 May 2019 at 12:47, Martijn Dekker <address@hidden> wrote:
> I think you're probably hitting this bug:
>
> https://lists.gnu.org/archive/html/bug-bash/2016-09/msg00083.html
Thanks, that indeed looks like it.

> The exit status of subshells is broken in bash-4.3 and bash-4.4 with
> --enable-minimal-config. This is a fatal bug that would easily break
> most substantial shell scripts, including configure.
>
> The bug was fixed in bash-5.0.
Yes, 5.0 works. Do you know where the fix itself is? Commit
http://git.savannah.gnu.org/cgit/bash.git/commit/?id=61c476d20d32dfd389c79fd4f2161a780685e42e
mentions your report and fix but it definitely does not fix it. I'd
like to backport it into 4.4.23.

> As for a minimal bash-5.0 with full POSIX compliance, aliases are
> required by POSIX but turned off by the minimal config, so you want:
> --enable-minimal-config --enable-alias --enable-strict-posix-default
Thanks, didn't know that!

-- 
http://mikro.atari.org



reply via email to

[Prev in Thread] Current Thread [Next in Thread]